<?php

namespace GriffinForms\Admin\Language;

class FormRows extends \GriffinForms\Admin\Language\Lists
{
    private static $instance;
    
    protected function heading()
    {
        return __('Form Builder', 'griffinforms-form-builder');
    }
    
    protected function rowOrderSaved()
    {
        return __('Rows order for this form was updated successfully.', 'griffinforms-form-builder');
    }
    
    protected function columnOrderSaved()
    {
        return __('Column order for this form was updated successfully.', 'griffinforms-form-builder');
    }
    
    public function formNotExists($id)
    {
        // Translators: %d is the form ID that does not exist.
        return sprintf(__('Incorrect URL. Form %d does not exist.', 'griffinforms-form-builder'), $id);
    }
    
    public function addRow()
    {
        return __('New Row', 'griffinforms-form-builder');
    }
    
    public function reorderForm()
    {
        return __('Reorder', 'griffinforms-form-builder');
    }
    
    public function emptyFormAlert($link)
    {
        // Translators: %s is a link to add a new row to the form.
        return sprintf(__('Your form does not have any fields yet. %s to add a row of fields.', 'griffinforms-form-builder'), $link);
    }
    
    public static function getInstance()
    {
        if (self::$instance == null)
        {
            self::$instance = new FormRows();
        }
        
        return self::$instance;
    }
    
    private function __construct() 
    {
    }
}